ata_port_offline
Prev | Chapter 4. libata Library | Next

## Name

ata_port_offline — test whether the given port is offline

## Synopsis

`int ata_port_offline (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  ATA port to test

## Description

Test whether `ap` is offline. Note that this function returns 0 if offline status of `ap` cannot be obtained, so ata_port_online(ap) != !ata_port_offline(ap).

## LOCKING

None.

## RETURNS

1 if the port offline status is available and offline.

Prev | Up | Next
ata_port_online | Home | ata_host_suspend